Bug 217458 - Provide memory sampling profiler
Provide memory sampling profiler
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
7.0
All All
: P1 (vote)
: 7.3
Assigned To: Tomas Hurka
issues@profiler
bugdb_13972149
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 11:36 UTC by Petr Cyhelsky
Modified: 2012-09-06 02:11 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Cyhelsky 2012-08-27 11:36:25 UTC
In the same way as with CPU profiling, there should be some "quick" profiling option - memory sampling.
Comment 1 Tomas Hurka 2012-08-31 07:55:18 UTC
Done in profiler-main

changeset:   229512:0055c128c8ea
user:        Tomas Hurka <thurka@netbeans.org>
date:        Mon Aug 27 14:18:25 2012 +0200
summary:     issue #217458, PROFILE_MEMORY_SAMPLING constant added

changeset:   229513:2e0dd0f9e4f4
user:        Jiri Sedlacek <jis@netbeans.org>
date:        Mon Aug 27 15:25:36 2012 +0200
summary:     Part of #217458 - STP changes for memory sampling

changeset:   229930:8a665c491af6
user:        Tomas Hurka <thurka@netbeans.org>
date:        Fri Aug 31 09:54:21 2012 +0200
summary:     issue #217458, memory sampling introduced
Comment 2 Tomas Hurka 2012-09-03 16:07:33 UTC
Additional fix:

changeset:   229933:320639bdb162
user:        Tomas Hurka <thurka@netbeans.org>
date:        Fri Aug 31 13:23:47 2012 +0200
summary:     issue #217458, locate tools.jar if it is not on classpath
Comment 3 Tomas Hurka 2012-09-04 07:55:11 UTC
Enable sampling by default:

changeset:   229932:264787f88ab4
user:        Jiri Sedlacek <jis@netbeans.org>
date:        Fri Aug 31 13:03:54 2012 +0200
summary:     Part of #217458 - memory sampling should be selected by default
Comment 4 Quality Engineering 2012-09-06 02:11:21 UTC
Integrated into 'main-golden', will be available in build *201209060001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/0055c128c8ea
User: Tomas Hurka <thurka@netbeans.org>
Log: issue #217458, PROFILE_MEMORY_SAMPLING constant added


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo